Author Topic: WxWidgets Latest 3.02 Won't Build  (Read 2285 times)

Offline chrismac

  • Multiple posting newcomer
  • *
  • Posts: 16
WxWidgets Latest 3.02 Won't Build
« on: April 18, 2016, 12:07:02 am »
Has anyone got the latest wxWidgets 3.02 source to build using the steps recommended here (under Windows 8.1 - 64 bit) -- http://wiki.codeblocks.org/index.php?title=WxWindowsQuickRef#Build_wxWidgets -- mingw32-make -f makefile.gcc BUILD=release SHARED=1 MONOLITHIC=1 UNICODE=1 CXXFLAGS=-fno-keep-inline-dllexport ?
I installed wxMSW-3.0.2-Setup.exe ok, and used MSYS to configure the wx source but compiling it (using first MinGW32 and later MinGW64) doesn't seem to work for the latest wx source, as seen in the attached errors.txt . It compiles a few .o files then stops, after a number of them, with a fault. Is the current wxWidgets build broken ?

Online stahta01

  • Lives here!
  • ****
  • Posts: 6589
    • My Best Post
Re: WxWidgets Latest 3.02 Won't Build
« Reply #1 on: April 18, 2016, 02:14:35 am »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline ollydbg

  • Developer
  • Lives here!
  • *****
  • Posts: 5223
  • OpenCV and Robotics
    • Chinese OpenCV forum moderator
Re: WxWidgets Latest 3.02 Won't Build
« Reply #2 on: April 18, 2016, 02:47:14 am »
Another suggestion is that you can use the wx3.1 release, which may fix the issues in wx3.02.
If some piece of memory should be reused, turn them to variables (or const variables).
If some piece of operations should be reused, turn them to functions.
If they happened together, then turn them to classes.

Online stahta01

  • Lives here!
  • ****
  • Posts: 6589
    • My Best Post
Re: WxWidgets Latest 3.02 Won't Build
« Reply #3 on: April 18, 2016, 02:54:09 am »
... and used MSYS to configure the wx source but compiling it (using first MinGW32 and later MinGW64) doesn't seem to work for the latest wx source

Is there a reason you want to self compile wxWidgets for MSys2 instead of using the MSys2 wxWidgets package?

NOTE: The Code::Blocks wxWidgets Wizard does NOT currently support working with MSys2 wxWidgets package.

So, I know about that reason; do you have another reason?

Tim S.

C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline chrismac

  • Multiple posting newcomer
  • *
  • Posts: 16
Re: WxWidgets Latest 3.02 Won't Build
« Reply #4 on: April 18, 2016, 03:07:37 am »
Newbie alert - when discussing WxWidgets compiling. I'm only using MSYS to ./configure the WxWidgets files as I don't know of a way to configure using Windows command console, (and aren't skilled in configure in general). I wasn't aware that "instead of using the MSys2 wxWidgets package" was an option or the details of how to employ it to get CB working with WxWidgets libs. Thanks for the tip.

Online stahta01

  • Lives here!
  • ****
  • Posts: 6589
    • My Best Post
Re: WxWidgets Latest 3.02 Won't Build
« Reply #5 on: April 18, 2016, 03:26:55 am »
Newbie alert - when discussing WxWidgets compiling. I'm only using MSYS to ./configure the WxWidgets files as I don't know of a way to configure using Windows command console, (and aren't skilled in configure in general). I wasn't aware that "instead of using the MSys2 wxWidgets package" was an option or the details of how to employ it to get CB working with WxWidgets libs. Thanks for the tip.

FYI: The two common ways to build wxWidgets is configure/make or use pre-created makefiles for under windows.
The pre-created makefiles do NOT need the configure command ran.

Note: I have used both pre-created makefiles method and the prebuilt MSys2 wxWidgets package method.
The tradeoffs are NOT clear to me.
To get help on this forum the best way is build wxWidgets using pre-created makefiles.
To use the CB wxWidgets [Wizard] the only current way is using pre-created makefiles.
Edit: Added the word Wizard.

But, I like the idea of MSys2; so, I am trying to get CB to work using prebuilt MSys2 wxWidgets package method.
The only thing I know to be broke is the CB wxWidgets wizard.

Tim S.
« Last Edit: April 18, 2016, 05:11:05 am by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline chrismac

  • Multiple posting newcomer
  • *
  • Posts: 16
Re: WxWidgets Latest 3.02 Won't Build
« Reply #6 on: April 18, 2016, 05:19:49 am »
Yup use of Msys2 would be nice, but I only need basic wxWidgets functionality so could get by with --
"FYI: The two common ways to build wxWidgets is configure/make or use pre-created makefiles for under windows.
The pre-created makefiles do NOT need the configure command ran."

If only I could get it to work. Is there a secret to getting a wxWidgets compatible version, using the Docs recommended command line --
mingw32-make -f makefile.gcc BUILD=release SHARED=1 MONOLITHIC=1 UNICODE=1 CXXFLAGS=-fno-keep-inline-dllexport

It halts with treectrl.cpp errors, though that file is found ok in it's directory. Seems to be broken, eyt is the recommended package.

Has someone got the recommended wxWidgets build 2.8.12 to work with CB using the recommended Windows console command line (without configure'g first) ?

Offline chrismac

  • Multiple posting newcomer
  • *
  • Posts: 16
Re: WxWidgets Latest 3.02 Won't Build
« Reply #7 on: April 18, 2016, 11:40:45 am »
Thanks for the thought ollydbg, I've managed to compile wxWidgets v 3.1.0 using MinGW32 v 5.3.0 as suggested --
mingw32-make -f makefile.gcc BUILD=release SHARED=1 MONOLITHIC=1 UNICODE=1 CXXFLAGS=-fno-keep-inline-dllexport
Now just to see if CB wxSmith will work with the libs .